Subject: Re: [AAA-WG]: Issue 395: NASREQ-10 comments

From: Kuntal Chowdhury <[email-masked]>
Date: Mon, 03 Feb 2003 12:35:14 -0600

Hi David,

I understand your point on the ABNF grammar now, thanks for the clarification. 
It will help me explain to anyone who also might be confused by this.

I think you declined/commented on the ABNF grammar portion of my comment. What 
about the first part of my comment? That is:

"We should not talk about CHAP-Response AVP in the CHAP-Algorithm AVP section."

I don't mind, if we decide to leave it as is, but it looks odd when I read the 
draft to see text, even requirement such as: The CHAP-Response AVP MUST be 
present in the CHAP-Auth AVP, in the CHAP-Algorithm AVP section of the draft.

Regards,
Kuntal

David Mitton wrote:

>> ----------------------------------------------------------------
>>
>> Description of issue
>> Submitter name: Kuntal Chowdhury
>> Submitter email address: [email-masked]
>> Date first submitted: 12/28/02
>> Reference:
>> Document:  nasreq
>> Comment type: T
>> Priority: 1
>> Section: 4.2.6
>> Rationale/Explanation of issue:
>>
>>       CHAP with MD5       5
>>          The CHAP response is computed using the procedure described in
>>          [PPPCHAP].  The CHAP-Response AVP MUST be present in the CHAP-
>>          Auth AVP.
>>
>> Comment: We should not talk about CHAP-Response AVP in the CHAP-Algorithm
>> AVP section. Also according to the ABNF grammar, the CHAP-Response AVP is
>> not mandatory in CHAP-Auth AVP.
>>
>> Proposal: Delete the paragraph below CHAP with MD5      5.
> 
> 
>  >> declined - The CHAP-Auth grouping was designed to allow a number of 
> different CHAP algorithms, each with seperate AVP constraints.  Because 
> only one has been defined, it looks a little odd.  The CHAP-Response AVP 
> is grammarically optional, but required by the specification of CHAP 
> with MD5.
> Other algorithms may require other AVPs and not CHAP-Response.
>

---

From: David Mitton <[email-masked]>
Date: Wed, 05 Feb 2003 18:33:38 -0500

Ummm... I don't see why not.

Note the description of the CHAP-Auth grouping clearly sets us up for this 
breakdown of the description.
Section 4.2.4 sentence 3
>  The AVP containing the CHAP response depends upon the value of
>    the CHAP-Algorithm AVP.

[In the next draft; I have changed "AVP" to "AVPs", "depends" to "depend" and
arranged the order of the AVPs to agree with the ABNF]

The Algorithm value sets the requirements for the other optional AVPs in 
the group.  Each AVP may be required differently for other algorithms.

Dave.

On 2/3/2003 12:35 PM -0600, Kuntal Chowdhury wrote:
>Hi David,
>
>I understand your point on the ABNF grammar now, thanks for the 
>clarification. It will help me explain to anyone who also might be 
>confused by this.
>
>I think you declined/commented on the ABNF grammar portion of my comment. 
>What about the first part of my comment? That is:
>
>I don't mind, if we decide to leave it as is, but it looks odd when I read 
>the draft to see text, even requirement such as: The CHAP-Response AVP 
>MUST be present in the CHAP-Auth AVP, in the CHAP-Algorithm AVP section of 
>the draft.
>
>Regards,
>Kuntal
>
>
>David Mitton wrote:
>
>> is grammarically optional, but required by the specification of CHAP with MD5.